Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class WhoisDomainHandler

    java.lang.Object
      com.verisign.epp.framework.EPPDomainHandler
          com.verisign.epp.serverstub.DomainHandler
              com.verisign.epp.serverstub.WhoisDomainHandler

All Implemented Interfaces:
  EPPEventHandler

    public class WhoisDomainHandler

extends DomainHandler

Extension to the standard `DomainHandler` that looks for the `EPPWhoisInf` command extension with the info command and adds the `EPPWhoisInfData` extension to the response.

Constructor Summary
`WhoisDomainHandler()` Constructs an instance of WhoisDomainHandler

Method Summary
`protected EPPEventResponse` | `doDomainInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Info command is received.

Methods inherited from class com.verisign.epp.serverstub.DomainHandler
`doDomainCheck, doDomainCreate, doDomainDelete, doDomainRenew, doDomainTransfer, doDomainUpdate, postHandleEvent, preHandleEvent`

Methods inherited from class com.verisign.epp.framework.EPPDomainHandler
`getNamespace, handleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhoisDomainHandler

    public WhoisDomainHandler()

  Constructs an instance of WhoisDomainHandler

Method Detail

### doDomainInfo

    protected EPPEventResponse doDomainInfo(EPPEvent aEvent,
                                            java.lang.Object aData)

  Invoked when a Domain Info command is received.

  Overrides:
    `doDomainInfo` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.